'use strict';

var NotificacaoServices = angular.module('NotificacaoServices', []);

NotificacaoServices.factory('Notificacao', ['Conexao',
  (Conexao) => {

    var notificacaoFactory = {};
    
    notificacaoFactory.getNotificacaoConfig = (callBackFunction) => {
        Conexao.ExecutaService('getNotificacaoConfig', {}, true,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    notificacaoFactory.ativaNotificacaoWeb = (params, callBackFunction) => {
        var paramsPost = {
            POST: true,
            data: params
        }
        Conexao.ExecutaService('ativaNotificacaoWeb', paramsPost, false,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    notificacaoFactory.ativaNotificacaoZap = (params, callBackFunction) => {
        var paramsPost = {
            POST: true,
            data: params
        }
        Conexao.ExecutaService('ativaNotificacaoZap', paramsPost, false,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    notificacaoFactory.desativaNotificacaoWeb = (params, callBackFunction) => {
        var paramsPost = {
            POST: true,
            data: params
        }
        Conexao.ExecutaService('desativaNotificacaoWeb', paramsPost, false,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    notificacaoFactory.desativaNotificacaoZap = (params, callBackFunction) => {
        var paramsPost = {
            POST: true,
            data: params
        }
        Conexao.ExecutaService('desativaNotificacaoZap', paramsPost, false,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    notificacaoFactory.getNotificacaoCliente = (callBackFunction) => {
        Conexao.ExecutaService('getNotificacaoCliente', {}, true,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    notificacaoFactory.getTipoNotificacao = (callBackFunction) => {
        Conexao.ExecutaService('getTipoNotificacao', {}, true,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    notificacaoFactory.ativaTipoNotificacao = (params, callBackFunction) => {
        var paramsPost = {
            POST: true,
            data: params
        }
        Conexao.ExecutaService('ativaTipoNotificacao', paramsPost, false,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    notificacaoFactory.desativaTipoNotificacao = (params, callBackFunction) => {
        var paramsPost = {
            POST: true,
            data: params
        }
        Conexao.ExecutaService('desativaTipoNotificacao', paramsPost, false,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    return notificacaoFactory;
  }]);
